Package org.apache.sysds.runtime.compress.estim.encoding

## Class DenseEncoding

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.encoding.DenseEncoding

- All Implemented Interfaces:
    `IEncode`

      public class DenseEncoding
      extends Object
      implements IEncode

- - ### Field Summary

    - ### Fields inherited from interface org.apache.sysds.runtime.compress.estim.encoding.IEncode

      `LOG`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DenseEncoding​(AMapToData map)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DenseEncoding` | `combine​(IEncode e)` | Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.
    `EstimationFactors` | `extractFacts​(int[] cols, int nRows, double tupleSparsity, double matrixSparsity)` |
    `int` | `getUnique()` |
    `boolean` | `isDense()` | Signify if the counts are including zero or without zero.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DenseEncoding

          public DenseEncoding​(AMapToData map)

  - ### Method Detail

    - #### combine

          public DenseEncoding combine​(IEncode e)

      Description copied from interface: `IEncode`
      Combine two encodings, note it should be guaranteed by the caller that the number of unique multiplied does not overflow Integer.
      Specified by:
        `combine` in interface `IEncode`
      Parameters:
        `e` - The other side to combine with
      Returns:
        The combined encoding

    - #### getUnique

          public int getUnique()

      Specified by:
        `getUnique` in interface `IEncode`

    - #### extractFacts

          public EstimationFactors extractFacts​(int[] cols,
                                                int nRows,
                                                double tupleSparsity,
                                                double matrixSparsity)

      Specified by:
        `extractFacts` in interface `IEncode`

    - #### isDense

          public boolean isDense()

      Description copied from interface: `IEncode`
      Signify if the counts are including zero or without zero.
      Specified by:
        `isDense` in interface `IEncode`
      Returns:
        is dense

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`